How to fix no screens found (EE) NVIDIA issue

Lajto

New Member

Reaction score: 3
Messages: 7

Problems installing the NVIDIA driver in your FreeBSD system?

My graphics card is a GeForce GTX 1060 6 GB, and the guides I followed in many sites didn't work for me. The main reason: no screens found(EE) when running startx.

After some days of pain, I found the way to do it. If you want to install the NVIDIA driver without problems, follow this indications:
  • Install xorg:
Code:
pkg install xorg
  • Be sure to have in /boot/loader.conf these lines:
Code:
kern.vty=vt
linux_load="YES"
nvidia-modeset_load="YES"
  • Be sure to have in /etc/rc.conf these lines:
Code:
linux_enable="YES"
kld_list="nvidia-modeset"
dbus_enable="YES"
hald_enable="YES"
  • Reboot.
  • In my case, pkg install x11/nvidia-driver never worked, so I don't recommend it. Install NVIDIA using ports:
Code:
cd /usr/ports/x11/nvidia-driver/ && make install clean
  • Lock nvidia-driver package (if you don't do this, after pkg upgrade your startx will fail and output no screens found (EE) again):
Code:
pkg lock x11/nvidia-driver
  • Create /usr/local/etc/X11/xorg.conf.d/driver-nvidia.conf with this content:
Code:
Section "Device"
        Identifier "NVIDIA Card"
        VendorName "NVIDIA Corporation"
        Driver "nvidia"
EndSection
  • Create /usr/local/etc/X11/xorg.conf.d/screen-resolution.conf with this content (write your own resolution; here I use 1920x1080):
Code:
Section "Screen"
        Identifier "Screen0"
        Device     "Card0"
        SubSection "Display"
        Modes      "1920x1080"
        EndSubSection
EndSection
  • Reboot and that's all.
Each time you want to update your packages, you must reinstall the NVIDIA driver:

Code:
# Update packages
pkg update
pkg upgrade

# Reinstall NVIDIA
cd /usr/ports/x11/nvidia-driver/
make install clean

I don't understand why using pkg NVIDIA doesn't work. Someone knows why?
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 7,905
Messages: 31,206

Using the x11/nvidia-driver package will only be problematic until 11.1 goes EoL (which will be at the end of September). After that the packages will be built for 11.2 (they're built for 11.1 at the moment) and the package will work again.
 
Top